export const $remoteSelect = {
  props: {
    // 选中值
    value: {
      type: [String, Array],
      default: null
    },
    // 自定义查询参数
    query: {
      type: Object,
      default: () => ({})
    },
    // 是否多选
    multiple: {
      type: Boolean,
      default: false
    },
    // 初始化选项
    initOptions: {
      type: Array,
      default: () => []
    },
    // 选中值的属性
    prop: {
      type: String,
      default: 'id'
    },
    // 展示值的属性
    showProp: {
      type: String,
      default: 'name'
    },
    // 搜索关键字属性
    keywordProp: {
      type: String,
      default: 'keyword'
    },
    // 列表接口
    listApi: {
      type: Function,
      default: () => {}
    },
    // 加载接口
    loadApi: {
      type: Function,
      default: null
    },
    // 空数据文本
    emptyText: {
      type: String,
      default: '请选择'
    },
    // 获取选项前回调
    beforeGetOptions: {
      type: Function,
      default: () => {return true;}
    },
    // 是否可清空
    clearable: {
      type: Boolean,
      default: false
    },
    // 尺寸
    size: {
      type: String,
      default: null
    },
    // 空数据值
    emptyValue: {
      type: [String, Number, Boolean],
      default: null
    }
  },
}